org.springframework.web.servlet.view.tiles3

## Class SpringLocaleResolver

- java.lang.Object
- - org.apache.tiles.locale.impl.DefaultLocaleResolver
  - - org.springframework.web.servlet.view.tiles3.SpringLocaleResolver

All Implemented Interfaces:
  LocaleResolver

    public class SpringLocaleResolver
    extends DefaultLocaleResolver

Tiles LocaleResolver adapter that delegates to a Spring `LocaleResolver`, exposing the DispatcherServlet-managed locale.

This adapter gets automatically registered by `TilesConfigurer`.

Since:
  3.2
Author:
  Nicolas Le Bas
See Also:
  `DefinitionsFactory.LOCALE_RESOLVER_IMPL_PROPERTY`

### Field Summary

### Fields inherited from class org.apache.tiles.locale.impl.DefaultLocaleResolver

`LOCALE_KEY`

### Constructor Summary

Constructors
Constructor and Description
`SpringLocaleResolver()`

### Method Summary

Methods
`Locale` `resolveLocale(org.apache.tiles.request.Request request)`

### Methods inherited from class org.apache.tiles.locale.impl.DefaultLocaleResolver

`init, resolveLocale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpringLocaleResolver

    public SpringLocaleResolver()

### Method Detail

#### resolveLocale

    public Locale resolveLocale(org.apache.tiles.request.Request request)